DRACUT.CONF(5)

NAME
dracut.conf - configuration file for dracut

SYNOPSIS
/etc/dracut.conf

DESCRIPTION
dracut.conf is loaded during the initialisation phase of dracut. Command line parameter will overwrite any values set here.

OPTIONS

dracutmodules="[LIST]"
    Specify a space-separated list of dracut modules to call when building the initramfs. Modules are located in /usr/share/dracut/modules.d.

omit_dracutmodules="[LIST]"
    Omit a space-separated list of dracut modules.

add_dracutmodules="[LIST]"
    Add a space-separated list of dracut modules.

drivers="[LIST]"
    Specify a space-separated list of kernel modules to exclusively include in the initramfs.

add_drivers="[LIST]"
    Specify a space-separated list of kernel modules to add to the initramfs.

filesystems="[LIST]"
    Specify a space-separated list of kernel filesystem modules to exclusively include in the generic initramfs.

drivers_dir="<dir>"
    Specify the directory, where to look for kernel modules

fw_dir="<dir>[:<dir> ...]"
    Specify additional directories, where to look for firmwares, separated by :

do_strip="yes|no"
    Strip binaries in the initramfs (default=yes)

hostonly="yes|no"
    Host-Only mode: Install only what is needed for booting the local host instead of a generic host.

mdadmconf="yes|no"
    Include local /etc/mdadm.conf (default=yes)

lvmconf="yes|no"
    Include local /etc/lvm/lvm.conf (default=yes)

kernel_only=yes|no
    Only install kernel drivers and firmware files. (default=no)

no_kernel="yes|no"
    Do not install kernel drivers and firmware files (default=no)

SEE ALSO
dracut(8)